Subject: Re: [Spasm] Want us to do LDAP eaiMail, or decide for someone else to do it

From: Sean Leonard <[email-masked]>
Date: Fri, 1 Jul 2016 17:22:16 -0700

> On Jun 30, 2016, at 11:49 PM, Alexey Melnikov <[email-masked]> wrote:
> 
> Hi Sean,
> 
>> On 30 Jun 2016, at 22:20, Sean Leonard <[email-masked]> wrote:
>> 
>> Hello LAMPS (formerly SPASM):
>> 
>> Further to my comments last week, it's important that the IETF standardize on how to encode internationalized e-mail addresses in Directories (LDAP), and by extension, Directory-related protocol slots.
> 
> I agree that that would be desirable. There might have been LDAP related draft(s) on this topic already?

Two drafts:
draft-stroeder-mailboxrelatedobject (September 2014)
https://tools.ietf.org/html/draft-stroeder-mailboxrelatedobject-07

(I raised objections on the ldap mailing list(s), about the case-insensitive comparison issues and such.)

and a much older one:
draft-hall-ldap-idn (June 2003)
https://tools.ietf.org/html/draft-hall-ldap-idn-00

I would say that the hall-ldap-idn one is pretty dead by now.

> 
>> It would be nice if this WG decides whether that work is in-scope for here. Ideally, to reduce implementation errors and duplicate code, the format of the attribute should be the same as the format of the eaiName GeneralName option under discussion. (I.e., if we decide on UTF8String with U-labels--which is what it's trending towards--we use the same format for the LDAP attribute.)
>> 
>> Conversely, if people feel that it's not in-scope here, then it should be considered in-scope for some other IETF area (or get directly sponsored), and coordinated appropriately with this eaiName work and with the LDAP folks.
> 
> Probably not in scope for this WG, but I would be happy to AD sponsor this one.

Okay. I can write something up (at some point this year), reference the SPASM->LAMPS work, and basically follow along with what the LAMPS draft says.

> 
>> So, uh, how shall this proceed? Should it get a time slot at the IETF 96 meeting to talk about what people want to do?
> 
> In LAMPS or somewhere else?

I was referring to LAMPS: “get a time slot in LAMPS to talk about (and get hums on) this-is-how-we-will-prescribe-doing-the-LDAP-thing based on this work here.” Maybe too formal, since the WG isn’t going to do it?

Sean